ALTER TABLE dbo.LAGcmp_art_generali alter column c_modello_utilita varchar(32)  NULL 
GO

ALTER TABLE dbo.LAGcmp_art_generali alter column  c_modello_ornamentale varchar(32)  NULL 
GO

DECLARE @tmp varchar(128)
DECLARE @tmp_fk varchar(128)

DECLARE crs_tmp cursor FOR
SELECT B.name,
       C.name
FROM sysreferences A,
     sysobjects B,
     sysobjects C,
     sysobjects D
WHERE A.constid=B.id
  AND A.fkeyid=C.id
  AND A.rkeyid=D.id
  AND D.name='vdu_maniglia_posizione'
  AND B.type='F'
  AND B.name is not NULL
  AND B.name<>''
  AND C.name is not NULL
  AND C.name<>''

OPEN crs_tmp 

FETCH NEXT FROM crs_tmp INTO @tmp_fk, @tmp
WHILE (@@FETCH_STATUS <> -1)
BEGIN
PRINT @tmp
 EXEC('ALTER TABLE '+@tmp+' DROP CONSTRAINT '+@tmp_fk)
 FETCH NEXT FROM crs_tmp INTO @tmp_fk, @tmp
END

CLOSE crs_tmp 

DEALLOCATE crs_tmp



DECLARE crs_tmp cursor FOR

SELECT B.name
FROM sysconstraints A,
     sysobjects B,
     sysobjects C
WHERE B.type='K'
  AND B.id=A.constid
  AND A.id=C.id
  AND C.name='vdu_maniglia_posizione'
  AND B.name is not NULL
  AND B.name<>''

OPEN crs_tmp 

FETCH NEXT FROM crs_tmp INTO @tmp
WHILE (@@FETCH_STATUS <> -1)
BEGIN
PRINT @tmp
 EXEC('ALTER TABLE vdu_maniglia_posizione DROP CONSTRAINT '+@tmp)
 FETCH NEXT FROM crs_tmp INTO @tmp
END

CLOSE crs_tmp 

DEALLOCATE crs_tmp
GO



IF (SELECT COUNT(A.name)
    FROM syscolumns A,
         sysobjects C
    WHERE A.name like 'c_gruppo_categoria_posizione'
      AND A.id=C.id
      AND C.type='U'
      AND C.name='vdu_maniglia_posizione')=0
BEGIN
  ALTER TABLE vdu_maniglia_posizione ADD
       c_gruppo_categoria_posizione varchar(10) NOT NULL DEFAULT '*',
       c_valore_posizione varchar(10) NOT NULL DEFAULT '*'
END
GO

ALTER TABLE vdu_maniglia_posizione
       ADD PRIMARY KEY (c_gruppo_categoria, c_valore, c_famiglia, 
              c_modello, c_gruppo_categoria_orientamento, 
              c_valore_orientamento, c_radice, chiave, 
			  c_gruppo_modelli, c_gruppo_categoria_posizione, c_valore_posizione)
GO

